Difference between revisions of "Draft Array/it"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(48 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav/it|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]|[[Draft_PathArray/it|Schiera su tracciato]]|[[Draft_Module/it|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}
+
{{Docnav/it
 +
|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]
 +
|[[Draft_LinkArray/it|Link Array]]
 +
|[[Draft_Module/it|Draft]]
 +
|IconL=Draft_Draft2Sketch.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_LinkArray.svg
 +
}}
  
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice|SeeAlso=[[Draft PathArray/it|Schiera su tracciato]], [[Draft PointArray/it|Schiera su punti]], [[Draft Clone/it|Clone]]}}
+
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/it
 +
|Name=Draft_Array
 +
|Name/it=Schiera
 +
|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]
 +
|MenuLocation=Draft → Schiera
 +
|SeeAlso=[[Draft PathArray/it|Copie su tracciato]], [[Draft PointArray/it|Copie su punti]], [[Draft Clone/it|Clone]]
 +
}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Descrizione==
 
==Descrizione==
Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.
+
Lo strumento Schiera crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.
 +
</div>
 +
 
 +
The [[Draft_Array|Draft Array]] tool creates an orthogonal (3-axes), polar, or circular array from a selected object.
  
 +
<div class="mw-translate-fuzzy">
 
Questo strumento può essere utilizzato su forme 2D create con [[Draft Workbench/it|Draft]] ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con [[Part Workbench/it|Part]] o [[PartDesign Workbench/it|PartDesign]].
 
Questo strumento può essere utilizzato su forme 2D create con [[Draft Workbench/it|Draft]] ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con [[Part Workbench/it|Part]] o [[PartDesign Workbench/it|PartDesign]].
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Per posizionare le copie lungo un percorso utilizzare [[Draft PathArray/it|Schiera su percorso]]; per posizionare le copie in punti specificati usare [[Draft PointArray/it|Schiera su punti]]; per creare copie o cloni e posizionarli manualmente usare [[Draft Move/it|Sposta]], [[Draft Rotate/it|Ruota]], e [[Draft Clone/it|Clona]].
 
Per posizionare le copie lungo un percorso utilizzare [[Draft PathArray/it|Schiera su percorso]]; per posizionare le copie in punti specificati usare [[Draft PointArray/it|Schiera su punti]]; per creare copie o cloni e posizionarli manualmente usare [[Draft Move/it|Sposta]], [[Draft Rotate/it|Ruota]], e [[Draft Clone/it|Clona]].
 +
</div>
  
[[Image:Draft_Array_example.jpg|400px]]
+
To create [[App_Link|App Links]] instead of simple copies, use [[Draft_LinkArray|LinkArray]], [[Draft_PathLinkArray|Path LinkArray]], and the proper option with [[Draft_PolarArray|PolarArray]] and [[Draft_CircularArray|CircularArray]] .
 +
 
 +
[[File:Draft_Array_example.png|x300px]] [[File:Draft_PolarArray_example.png|x300px]]
 +
<div class="mw-translate-fuzzy">
 
{{Caption|Una schiera ortogonale e una schiera polare da un oggetto solido}}
 
{{Caption|Una schiera ortogonale e una schiera polare da un oggetto solido}}
 +
</div>
 +
 +
<div class="mw-translate-fuzzy">
 +
[[Image:Draft_CircularArray_example.png|200px]]
 +
</div>
 +
 +
<div class="mw-translate-fuzzy">
 +
{{Caption|Una matrice circolare da un oggetto solido, l'oggetto al centro}}
 +
</div>
  
 
==Utilizzo==
 
==Utilizzo==
 
# Selezionare un oggetto con cui si desidera creare una schiera.
 
# Selezionare un oggetto con cui si desidera creare una schiera.
# Premere il pulsante {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/it|Schiera su percorso]]}}. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
+
# Premere il pulsante {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/it|Schiera]]}}. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
 
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.
 
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.
  
Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
+
Ogni elemento della schiera è un clone esatto dell'oggetto originale, ma l'intera schiera è considerata una singola unità in termini di proprietà e aspetto.
  
== Options ==
+
== Opzioni ==
  
There are no options for this tool. Either it works with the selected object or not.  
+
Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.
 +
 
 +
<div class="mw-translate-fuzzy">
 +
== Proprietà ==
 +
* {{PropertyData/it|Base}}: specifica l'oggetto da duplicare nella schiera.
 +
* {{PropertyData/it|Array Type}}: specifica il tipo di schiera da creare "ortho" o "polar".
 +
* {{PropertyData/it|Fuse}}: se è {{TRUE}}, e le copie si intersecano tra loro, esse vengono fuse insieme in un'unica forma.
 +
</div>
  
== Properties ==
+
Per le schiere ortogonali:
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
+
* {{PropertyData/it|Interval X}}: intervallo tra ciascuna copia sull'asse X.
* {{PropertyData|Array Type}}: specifies the type of array to create, either "ortho" or "polar".
+
* {{PropertyData/it|Interval Y}}: intervallo tra ciascuna copia sull'asse Y.
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.
+
* {{PropertyData/it|Interval Z}}: intervallo tra ciascuna copia sull'asse Z.
 +
* {{PropertyData/it|Number X}}: il numero di copie sull'asse X.
 +
* {{PropertyData/it|Number Y}}: il numero di copie sull'asse Y.
 +
* {{PropertyData/it|Number Z}}: il numero di copie sull'asse Z.
  
For orthogonal arrays:
+
Per le schiere polari:
* {{PropertyData|Interval X}}: specifies the interval between each copy on the X axis.
+
* {{PropertyData/it|Axis}}: specifica la direzione normale del cerchio della schiera.
* {{PropertyData|Interval Y}}: specifies the interval between each copy on the Y axis.
+
* {{PropertyData/it|Center}}: specifica il punto centrale del cerchio della schiera.
* {{PropertyData|Interval Z}}: specifies the interval between each copy on the Z axis.
+
* {{PropertyData/it|Angle}}: specifica l'apertura dell'arco circolare da coprire con le copie; usare 360 per coprire un intero cerchio.
* {{PropertyData|Number X}}: specifies the number of copies on the X axis.
+
* {{PropertyData/it|Number Polar}}: specifica il numero di copie da inserire nella disposizione circolare.
* {{PropertyData|Number Y}}: specifies the number of copies on the Y axis.
+
* {{PropertyData/it|Interval Axis}}: specifica l'intervallo tra ciascuna copia nella direzione {{PropertyData/it|Axis}}.
* {{PropertyData|Number Z}}: specifies the number of copies on the Z axis.
 
  
For polar arrays:
+
Per matrice circolare:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
+
* {{PropertyData/it|Number Circles}}:
* {{PropertyData|Center}}: specifies the center point of the array circle.
+
* {{PropertyData/it|Radial distance}}:
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
+
* {{PropertyData/it|Symmetry}}:
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
+
* {{PropertyData/it|Tangential Distance}}:
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.
 
  
The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.
+
Le proprietà Number, X, Y, Z o Polar, includono anche l'oggetto originale, quindi questo numero è almeno uno.
  
An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.
+
Un intervallo non è una semplice distanza, ma è un vettore (x, y, z). Se più di un valore è diverso da zero, la copia viene creata nella direzione principale, ma viene anche spostata nelle altre direzioni diverse da zero.
  
For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.
+
Per esempio, se {{PropertyData|Interval X}} è (2 m, 1 m, 1 m), e {{PropertyData|Number X}} è 3, vengono create 3 copies nella direzione X; la prima copia è nella posizione originale, la seconda è spostata di 2 m su X, 1 m su Y, e 1 m su Z; la terza copia è spostata di 4 m su X, 2 m su Y, e 2 m su Z. Ogni elemento dell'array è spostato leggermente su un lato (direzione Y) e verso l'alto (direzione Z) accanto alla direzione X principale.
  
The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.
+
La proprietà {{PropertyData|Interval Axis}} funziona allo stesso modo. Se la forma originale si trova sul piano XY, creando un array polare con {{PropertyData|Interval Axis}} (0, 0, z) permette di creare ordinamenti a spirale.
  
 
==Script==
 
==Script==
 
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].
 
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].
  
The Array tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.
+
Lo strumento Array può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando due diverse funzioni, a seconda se si desidera ottenere delle copie autonome del proprio oggetto base o un oggetto array parametrico che rimane collegato all'oggetto originale.
  
<div class="mw-translate-fuzzy">
 
 
=== Schiera semplice ===
 
=== Schiera semplice ===
Per le matrici rettangolari:
+
La firma di base è la seguente:
</div>
+
 
 
{{Code|code=
 
{{Code|code=
 
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
 
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
 
}}
 
}}
  
To create a rectangular array, use it like this:
+
Per creare una matrice rettangolare, si usa in questo modo:
 +
 
 
{{Code|code=
 
{{Code|code=
 
array_list = array(objectslist, xvector, yvector, xnum, ynum)
 
array_list = array(objectslist, xvector, yvector, xnum, ynum)
Line 72: Line 115:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
Per creare un array polare, si usa in questo modo:
Per matrici polari:
+
 
</div>
 
 
{{Code|code=
 
{{Code|code=
 
array_list = array(objectslist, center, totalangle, totalnum)
 
array_list = array(objectslist, center, totalangle, totalnum)
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Crea una schiera dagli oggetti contenuti in {{incode|objectslist}}, che può essere un singolo oggetto o un elenco di oggetti.
* Crea una schiera di oggetti contenuti nella lista (che può essere di un oggetto o di un elenco di oggetti) con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x, alla distanza xvector tra le iterazioni, e lo stesso per la direzione y, con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. Nel caso di una serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
+
* Nel caso di una sschiera rettangolare, {{incode|xvector}}, {{incode|yvector}}, e {{incode|zvector}} determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e {{incode|xnum}}, {{incode|ynum}}, e {{incode|znum}} sono il numero di copie nella rispettiva direzione.
* Questa funzione produce copie indipendenti dell'oggetto(i) di base.
+
* Nel caso di una sschiera polae, {{incode|center}} definisce il centro del cerchio della schiera, {{incode|totalangle}} è l'angolo in gradi dell'arco da coprire con le copie, e {{incode|totalnum}} è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.
</div>
+
* {{incode|array_list}} viene restituito con le nuove copie.
 +
** {{incode|array_list}} è un singolo oggetto o un elenco di oggetti, a seconda dell'input {{incode|objectslist}}.
  
This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.
+
Questa funzione utilizza internamente {{incode|Draft.move()}} e {{incode|Draft.rotate()}} con <code>copy=True</code>.
  
 
Esempio:
 
Esempio:
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Line 97: Line 141:
 
=== Schiera parametrica ===
 
=== Schiera parametrica ===
  
The basic signature is as follows:
+
La firma di base è la seguente:
 +
 
 
{{Code|code=
 
{{Code|code=
 
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
 
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
Per creare una schiera rettangolare, si usa in questo modo:
Per le schiere rettangolari:
+
 
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
 
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Line 110: Line 154:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
Per creare un array polare, si usa in questo modo:
Per le schiere polari:
+
 
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
 
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
* Crea un oggetto {{incode|Array}} dal {{incode|baseobject}} dato.
* Crea una schiera dall'oggetto dato con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e lo stesso per la direzione y con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. In caso di serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
+
* Nel caso di una schiera rettangolare, {{incode|xvector}}, {{incode|yvector}}, e {{incode|zvector}} determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e {{incode|xnum}}, {{incode|ynum}}, e {{incode|znum}} sono il numero di copie nella rispettiva direzione.
* Il risultato di questa funzione è un oggetto Draft Array parametrico.
+
* Nel caso di una schiera polare, {{incode|center}} definisce il centro del cerchio della schiera, {{incode|totalangle}} è l'angolo in gradi dell'arco da coprire con le copie, e {{incode|totalnum}} è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.
</div>
 
  
 
Esempio:
 
Esempio:
Line 136: Line 178:
 
}}
 
}}
  
{{Docnav/it|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]|[[Draft_PathArray/it|Schiera su tracciato]]|[[Draft_Module/it|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}
+
{{Docnav/it
 +
|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]
 +
|[[Draft_LinkArray/it|Link Array]]
 +
|[[Draft_Module/it|Draft]]
 +
|IconL=Draft_Draft2Sketch.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_LinkArray.svg
 +
}}
  
 
{{Draft Tools navi/it}}
 
{{Draft Tools navi/it}}
  
 
{{Userdocnavi/it}}
 
{{Userdocnavi/it}}
 +
 
{{clear}}
 
{{clear}}

Revision as of 10:22, 17 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Link Array Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Schiera

Posizione nel menu
Draft → Schiera
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Copie su tracciato, Copie su punti, Clone


Descrizione

Lo strumento Schiera crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

The Draft Array tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per posizionare le copie lungo un percorso utilizzare Schiera su percorso; per posizionare le copie in punti specificati usare Schiera su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

To create App Links instead of simple copies, use LinkArray, Path LinkArray, and the proper option with PolarArray and CircularArray .

Draft Array example.png Draft PolarArray example.png

Una schiera ortogonale e una schiera polare da un oggetto solido

Draft CircularArray example.png

Una matrice circolare da un oggetto solido, l'oggetto al centro

Utilizzo

  1. Selezionare un oggetto con cui si desidera creare una schiera.
  2. Premere il pulsante Draft Array.svg Schiera. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
  3. L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.

Ogni elemento della schiera è un clone esatto dell'oggetto originale, ma l'intera schiera è considerata una singola unità in termini di proprietà e aspetto.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DatiBase: specifica l'oggetto da duplicare nella schiera.
  • DatiArray Type: specifica il tipo di schiera da creare "ortho" o "polar".
  • DatiFuse: se è True, e le copie si intersecano tra loro, esse vengono fuse insieme in un'unica forma.

Per le schiere ortogonali:

  • DatiInterval X: intervallo tra ciascuna copia sull'asse X.
  • DatiInterval Y: intervallo tra ciascuna copia sull'asse Y.
  • DatiInterval Z: intervallo tra ciascuna copia sull'asse Z.
  • DatiNumber X: il numero di copie sull'asse X.
  • DatiNumber Y: il numero di copie sull'asse Y.
  • DatiNumber Z: il numero di copie sull'asse Z.

Per le schiere polari:

  • DatiAxis: specifica la direzione normale del cerchio della schiera.
  • DatiCenter: specifica il punto centrale del cerchio della schiera.
  • DatiAngle: specifica l'apertura dell'arco circolare da coprire con le copie; usare 360 per coprire un intero cerchio.
  • DatiNumber Polar: specifica il numero di copie da inserire nella disposizione circolare.
  • DatiInterval Axis: specifica l'intervallo tra ciascuna copia nella direzione DatiAxis.

Per matrice circolare:

  • DatiNumber Circles:
  • DatiRadial distance:
  • DatiSymmetry:
  • DatiTangential Distance:

Le proprietà Number, X, Y, Z o Polar, includono anche l'oggetto originale, quindi questo numero è almeno uno.

Un intervallo non è una semplice distanza, ma è un vettore (x, y, z). Se più di un valore è diverso da zero, la copia viene creata nella direzione principale, ma viene anche spostata nelle altre direzioni diverse da zero.

Per esempio, se DataInterval X è (2 m, 1 m, 1 m), e DataNumber X è 3, vengono create 3 copies nella direzione X; la prima copia è nella posizione originale, la seconda è spostata di 2 m su X, 1 m su Y, e 1 m su Z; la terza copia è spostata di 4 m su X, 2 m su Y, e 2 m su Z. Ogni elemento dell'array è spostato leggermente su un lato (direzione Y) e verso l'alto (direzione Z) accanto alla direzione X principale.

La proprietà DataInterval Axis funziona allo stesso modo. Se la forma originale si trova sul piano XY, creando un array polare con DataInterval Axis (0, 0, z) permette di creare ordinamenti a spirale.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Array può essere utilizzato nelle macro e dalla console Python utilizzando due diverse funzioni, a seconda se si desidera ottenere delle copie autonome del proprio oggetto base o un oggetto array parametrico che rimane collegato all'oggetto originale.

Schiera semplice

La firma di base è la seguente:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Per creare una matrice rettangolare, si usa in questo modo:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Per creare un array polare, si usa in questo modo:

array_list = array(objectslist, center, totalangle, totalnum)
  • Crea una schiera dagli oggetti contenuti in objectslist, che può essere un singolo oggetto o un elenco di oggetti.
  • Nel caso di una sschiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una sschiera polae, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.
  • array_list viene restituito con le nuove copie.
    • array_list è un singolo oggetto o un elenco di oggetti, a seconda dell'input objectslist.

Questa funzione utilizza internamente Draft.move() e Draft.rotate() con copy=True.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Schiera parametrica

La firma di base è la seguente:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Per creare una schiera rettangolare, si usa in questo modo:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Per creare un array polare, si usa in questo modo:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crea un oggetto Array dal baseobject dato.
  • Nel caso di una schiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una schiera polare, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Link Array Draft LinkArray.svg Arrow-right.svg